Bug 861728 - can't modify disks aliases when creating a new template
can't modify disks aliases when creating a new template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.1.0
Assigned To: Daniel Erez
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 05:36 EDT by Daniel Erez
Modified: 2016-02-10 13:16 EST (History)
10 users (show)

See Also:
Fixed In Version: SI21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Erez 2012-09-30 05:36:09 EDT
Description of problem:
When creating a new template (AddVmTemplateCommand),
a disk list (of the VM) is sent - but, the aliases are being ignored. 
I.e. disks aliases of a template are always equal to the VM's disks aliases.

* WebAdmin should support disks aliases modification when creating a new template.

Version-Release number of selected component (if applicable):
si19

How reproducible:
100%

Steps to Reproduce:
1. Create a new template (using AddVmTemplateCommand).
2. Modify disks aliases ('diskInfoDestinationMap' in AddVmTemplateParameters).
  
Actual results:
Disks aliases are identical to VM's disks aliases.

Expected results:
Disks aliases have been modified succesfully.

Additional info:
WebAdmin's new template dialog should be modified accordingly.
Comment 3 Daniel Erez 2012-10-14 12:07:35 EDT
Patch sent:
http://gerrit.ovirt.org/#/c/8534/
Comment 4 Allon Mureinik 2012-10-15 05:38:56 EDT
Merged I5a6a47d1ba77eed84fa5561db342e03ab6bac81a
Comment 5 vvyazmin@redhat.com 2012-10-23 05:48:26 EDT
Verified on RHEVM 3.1 - SI21.1

RHEVM: rhevm-3.1.0-21.el6ev.noarch
VDSM: vdsm-4.9.6-38.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.5.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.2.x86_64
SANLOCK: sanlock-2.3-4.el6_3.x86_64

Note You need to log in before you can comment on or make changes to this bug.